
c
c
c
c     =====================================================
       subroutine qinit(maxmx,maxmy,meqn,mbc,mx,my,xlower,
     &                  ylower,dx,dy,q,maux,aux)
c     =====================================================
c
c     # Set initial conditions for q.
c
       implicit double precision (a-h,o-z)
       dimension q(1-mbc:maxmx+mbc,1-mbc:maxmy+mbc,meqn)
       dimension aux(1-mbc:maxmx+mbc,1-mbc:maxmy+mbc, maux)
       common /dmetric/ dmetric(-1:300+2,-1:150+2,5)

c
       pi2 = 8.d0*datan(1.d0)  !# = 2 * pi
       pi = 0.5*pi2

         do 20 i=1-mbc,mx+mbc
           do 20 j=1-mbc,my+mbc

              q(i,j,1) = rand(0)-0.5d0
              q(i,j,2) = rand(0)-0.5d0
  20   continue
 

       return
       end
